Get Asset
curl --request GET \
--url https://api.openpmm.com/v1/workspaces/{workspace_id}/assets/{asset_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openpmm.com/v1/workspaces/{workspace_id}/assets/{asset_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openpmm.com/v1/workspaces/{workspace_id}/assets/{asset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ast_01JABCDEF",
"object": "asset",
"type": "card",
"label": "Launch artwork",
"dimensions": "1200x675",
"width": 1200,
"height": 675,
"duration_sec": 1,
"format": "x-landscape",
"byte_size": 248312,
"content_type": "image/webp",
"status": "pending_upload",
"checksum": {
"algorithm": "md5",
"value": "<string>"
},
"inspected_at": "2026-08-09T12:00:00.000Z",
"retention": {
"policy": "workspace_managed",
"reusable": true
},
"created_at": "2026-08-09T12:00:00.000Z",
"download_url": "<string>",
"download_url_expires_at": "2026-08-09T12:00:00.000Z"
}{
"type": "https://www.openpmm.com/docs/reference/errors#public_invalid_request",
"title": "Invalid request",
"status": 400,
"detail": "The request body does not match the public contract.",
"instance": "urn:openpmm:request:req_01JABCDEF",
"code": "public_invalid_request",
"category": "validation",
"request_id": "req_01JABCDEF",
"retryable": false,
"retry": {
"safety": "not_retryable",
"after": null
},
"user_action": "check_request",
"errors": [
{
"pointer": "/posts/0/destination_id",
"code": "custom",
"detail": "Publishing an entry requires a destination."
}
]
}{
"type": "https://www.openpmm.com/docs/reference/errors#public_invalid_request",
"title": "Invalid request",
"status": 400,
"detail": "The request body does not match the public contract.",
"instance": "urn:openpmm:request:req_01JABCDEF",
"code": "public_invalid_request",
"category": "validation",
"request_id": "req_01JABCDEF",
"retryable": false,
"retry": {
"safety": "not_retryable",
"after": null
},
"user_action": "check_request",
"errors": [
{
"pointer": "/posts/0/destination_id",
"code": "custom",
"detail": "Publishing an entry requires a destination."
}
]
}{
"type": "https://www.openpmm.com/docs/reference/errors#public_invalid_request",
"title": "Invalid request",
"status": 400,
"detail": "The request body does not match the public contract.",
"instance": "urn:openpmm:request:req_01JABCDEF",
"code": "public_invalid_request",
"category": "validation",
"request_id": "req_01JABCDEF",
"retryable": false,
"retry": {
"safety": "not_retryable",
"after": null
},
"user_action": "check_request",
"errors": [
{
"pointer": "/posts/0/destination_id",
"code": "custom",
"detail": "Publishing an entry requires a destination."
}
]
}{
"type": "https://www.openpmm.com/docs/reference/errors#public_invalid_request",
"title": "Invalid request",
"status": 400,
"detail": "The request body does not match the public contract.",
"instance": "urn:openpmm:request:req_01JABCDEF",
"code": "public_invalid_request",
"category": "validation",
"request_id": "req_01JABCDEF",
"retryable": false,
"retry": {
"safety": "not_retryable",
"after": null
},
"user_action": "check_request",
"errors": [
{
"pointer": "/posts/0/destination_id",
"code": "custom",
"detail": "Publishing an entry requires a destination."
}
]
}{
"type": "https://www.openpmm.com/docs/reference/errors#public_invalid_request",
"title": "Invalid request",
"status": 400,
"detail": "The request body does not match the public contract.",
"instance": "urn:openpmm:request:req_01JABCDEF",
"code": "public_invalid_request",
"category": "validation",
"request_id": "req_01JABCDEF",
"retryable": false,
"retry": {
"safety": "not_retryable",
"after": null
},
"user_action": "check_request",
"errors": [
{
"pointer": "/posts/0/destination_id",
"code": "custom",
"detail": "Publishing an entry requires a destination."
}
]
}Assets
Get Asset
Get an asset. Set include=download to get a signed download URL that is valid for five minutes.
GET
/
workspaces
/
{workspace_id}
/
assets
/
{asset_id}
Get Asset
Authorizations
Send an account API key in the Authorization: Bearer <key> header.
Headers
Optional request ID. OpenPMM returns this value when it is valid. Otherwise, OpenPMM creates a request ID.
Maximum string length:
128Path Parameters
Unique workspace ID.
Example:
"ws_01JABCDEF"
Unique asset ID.
Example:
"ast_01JABCDEF"
Query Parameters
Set to download to include a five-minute download URL.
Available options:
download Response
The requested asset.
Unique asset ID.
Example:
"ast_01JABCDEF"
Allowed value:
"asset"Generic asset type. video does not select a provider placement.
Available options:
card, video, poster Example:
"Launch artwork"
Example:
"1200x675"
Required range:
x >= 1Example:
1200
Required range:
x >= 1Example:
675
Required range:
x >= 0Example:
"x-landscape"
Required range:
x >= 0Example:
248312
Example:
"image/webp"
Available options:
pending_upload, ready Show child attributes
Show child attributes
Example:
"2026-08-09T12:00:00.000Z"
Show child attributes
Show child attributes
Example:
"2026-08-09T12:00:00.000Z"
Example:
"2026-08-09T12:00:00.000Z"
